<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ProjectLayout (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ProjectLayout (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/ProjectLayout.html" target="_top">Frames</a></li>
<li><a href="ProjectLayout.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface ProjectLayout" class="title">Interface ProjectLayout</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ProjectLayout</span></pre>
<div class="block">Provides access to several important locations for a project.

 An instance of the factory can be injected into a task or plugin by annotating a public constructor or method with <code>javax.inject.Inject</code>. It is also available via <a href="../../../../org/gradle/api/Project.html#getLayout()"><code>Project.getLayout()</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ProjectLayout.html#file(org.gradle.api.provider.Provider)">file</a></strong>(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;file)</code>
<div class="block">Creates a <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file"><code>RegularFile</code></a> implementation whose location is calculated from the given <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ProjectLayout.html#getBuildDirectory()">getBuildDirectory</a></strong>()</code>
<div class="block">Returns the build directory for the project.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ProjectLayout.html#getProjectDirectory()">getProjectDirectory</a></strong>()</code>
<div class="block">Returns the project directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ProjectLayout.html#newDirectoryVar()">newDirectoryVar</a></strong>()</code>
<div class="block">Creates a new <a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file"><code>DirectoryVar</code></a> that uses the project directory to resolve paths, if required.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file">RegularFileVar</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/ProjectLayout.html#newFileVar()">newFileVar</a></strong>()</code>
<div class="block">Creates a new <a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file"><code>RegularFileVar</code></a> that uses the project directory to resolve paths, if required.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProjectDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectDirectory</h4>
<pre><a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a>&nbsp;getProjectDirectory()</pre>
<div class="block">Returns the project directory.</div>
</li>
</ul>
<a name="getBuildDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildDirectory</h4>
<pre><a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a>&nbsp;getBuildDirectory()</pre>
<div class="block">Returns the build directory for the project.</div>
</li>
</ul>
<a name="newDirectoryVar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newDirectoryVar</h4>
<pre><a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a>&nbsp;newDirectoryVar()</pre>
<div class="block">Creates a new <a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file"><code>DirectoryVar</code></a> that uses the project directory to resolve paths, if required. The var has no initial value.</div>
</li>
</ul>
<a name="newFileVar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newFileVar</h4>
<pre><a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file">RegularFileVar</a>&nbsp;newFileVar()</pre>
<div class="block">Creates a new <a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file"><code>RegularFileVar</code></a> that uses the project directory to resolve paths, if required. The var has no initial value.</div>
</li>
</ul>
<a name="file(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>file</h4>
<pre><a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a>&gt;&nbsp;file(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;file)</pre>
<div class="block">Creates a <a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file"><code>RegularFile</code></a> implementation whose location is calculated from the given <a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider"><code>Provider</code></a>.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/ProjectLayout.html" target="_top">Frames</a></li>
<li><a href="ProjectLayout.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
